# we don't want to provide private python extension libs
%define _exclude_files_from_autoprov %{python3_sitearch}/.*\\.so

%define sname PyQt6_Charts
%define qt6_minver 6.4.0

Name:           python-qt6-charts
Version:        6.4.0
Release:        %mkrel 2
Summary:        Set of Python bindings for The Qt Charts library
License:        GPLv3
Group:          Development/KDE and Qt
URL:            https://www.riverbankcomputing.com/software/pyqtchart/
#https://www.riverbankcomputing.com/static/Downloads/PyQtChart/%%{version}/%%{sname}-%%{version}.tar.gz
Source0:        https://files.pythonhosted.org/packages/b3/b4/fb94c482644f4a0a8bbb4f785eeea46c1229adc4468fcc025194482011e7/%{sname}-%{version}.tar.gz
BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-qt6-devel >= %{version}
BuildRequires:  python3dist(pyqt-builder)
BuildRequires:  python3dist(sip)

BuildRequires:  cmake(Qt6Charts) >= %{qt6_minver}
BuildRequires:  cmake(Qt6Core) >= %{qt6_minver}
BuildRequires:  cmake(Qt6Gui) >= %{qt6_minver}
BuildRequires:  cmake(Qt6Widgets) >= %{qt6_minver}

%description
PyQtCharts is a set of Python bindings for The Qt Company's Qt Charts library.
The bindings sit on top of PyQt6 and are implemented as a single module.

#------------------------------------------------------------

### python3-qt6

%define py3_name python3-qt6

%package -n     %{py3_name}-charts
Summary:        Python 3 bindings for PyQt 6 charts
Group:          Development/KDE and Qt
Requires:       %{py3_name}-core >= %{version}

%description -n %{py3_name}-charts
Python 3 bindings for PyQt 6 charts.

%files -n %{py3_name}-charts
%doc ChangeLog NEWS README
%{python3_sitearch}/PyQt6/QtCharts.*
%{python3_sitearch}/PyQt6/bindings/QtCharts
%{python3_sitearch}/PyQt6_Charts-%{version}.dist-info

#------------------------------------------------------------

%package -n     %{py3_name}-charts-qsci-api
Summary:        Python 3 bindings for PyQt 6 charts Qscintilla API
Group:          Development/KDE and Qt

%description -n %{py3_name}-charts-qsci-api
Python 3 bindings for PyQt 6 charts Qscintilla API.

%files -n %{py3_name}-charts-qsci-api
%dir %{_qt6_datadir}/qsci/
%dir %{_qt6_datadir}/qsci/api/
%dir %{_qt6_datadir}/qsci/api/python/
%{_qt6_datadir}/qsci/api/python/PyQt6-Charts.api

#------------------------------------------------------------

%package -n    %{py3_name}-charts-examples
Summary:       Usage examples for the PyQt 6 charts python 3 bindings
Group:         Documentation
BuildArch:     noarch

%description -n %{py3_name}-charts-examples
Usage examples for the PyQt 6 charts python 3 bindings.

%files -n %{py3_name}-charts-examples
%doc %{_docdir}/%{py3_name}-charts/examples

### END python3-qt6

#------------------------------------------------------------

%prep
%autosetup -p1 -n %{sname}-%{version}

%build
### Python 3 build:
sip-build \
  --no-make \
  --api-dir=%{_qt6_datadir}/qsci/api/python \
  --qmake-setting 'QMAKE_LFLAGS_RPATH=' \
  --verbose
	
%make_build CXXFLAGS="%{optflags} -fPIC \$(DEFINES)" -C build

%install
### python 3 Install:
%make_install INSTALL_ROOT=%{buildroot} -C build

mkdir -p %{buildroot}%{_docdir}/%{py3_name}-charts/examples
    cp -fr examples/* %{buildroot}%{_docdir}/%{py3_name}-charts/examples/

# ensure .so modules are executable for proper -debuginfo extraction
for i in %{buildroot}%{python3_sitearch}/PyQt6/*.so ; do
test -x $i  || chmod a+rx $i
done


%changelog
* Sat Dec 24 2022 daviddavid <daviddavid> 6.4.0-2.mga9
+ Revision: 1926272
- Rebuild for new Qt 6.4.1

* Tue Oct 04 2022 papoteur <papoteur> 6.4.0-1.mga9
+ Revision: 1894720
- fix file list
  fix rpath error
- New python-qt6-charts, forked from python-qt5-chart

* Mon Sep 12 2022 papoteur <papoteur> 5.15.6-1.mga9
+ Revision: 1887463
- new 5.15.6

* Tue Mar 29 2022 papoteur <papoteur> 5.15.2-4.mga9
+ Revision: 1831723
- Fix unexpanded macro in Requires no more needed
- Use sip 6 for building instead of sip 4

* Thu Feb 17 2022 mrambo3501 <mrambo3501> 5.15.2-3.mga9
+ Revision: 1778423
- rebuild for python-3.10

* Thu Mar 18 2021 daviddavid <daviddavid> 5.15.2-2.mga9
+ Revision: 1704315
- rebuild for python 3.9

* Sat Dec 05 2020 daviddavid <daviddavid> 5.15.2-1.mga8
+ Revision: 1652954
- New version 5.15.2

* Sun Sep 13 2020 daviddavid <daviddavid> 5.15.1-1.mga8
+ Revision: 1625541
- new version: 5.15.1

* Thu Jun 25 2020 daviddavid <daviddavid> 5.15.0-2.mga8
+ Revision: 1599180
- rebuild with sip 4.19.23

* Thu Jun 04 2020 daviddavid <daviddavid> 5.15.0-1.mga8
+ Revision: 1590398
- new version: 5.15.0

* Thu Feb 20 2020 umeabot <umeabot> 5.14.0-2.mga8
+ Revision: 1545910
- Mageia 8 Mass Rebuild

* Thu Jan 30 2020 daviddavid <daviddavid> 5.14.0-1.mga8
+ Revision: 1485527
- New version 5.14.0

* Wed Sep 11 2019 daviddavid <daviddavid> 5.13.0-2.mga8
+ Revision: 1439856
- rebuild for python3.8
- drop python2 support

* Sun Jul 28 2019 daviddavid <daviddavid> 5.13.0-1.mga8
+ Revision: 1424686
- New version 5.13.0

* Sun Jul 28 2019 daviddavid <daviddavid> 5.12-3.mga8
+ Revision: 1424679
- fix/workaround -debug generation
- rebuild for new Qt5 path

* Mon Apr 01 2019 umeabot <umeabot> 5.12-2.mga7
+ Revision: 1384110
- Qt5 Rebuild

* Thu Feb 14 2019 daviddavid <daviddavid> 5.12-1.mga7
+ Revision: 1366961
- initial package python-qt5-chart

